/* ************************************************************************
*   File: edit.h                                      Part of Archipelago *
*  Usage: online editing prototypes. A Neil - November 1999               *
*                                                                         *
*  All rights reserved.  See license.doc for complete information.        *
*                                                                         *
*  Archipelago is based on                                                *
*  CircleMUD is based on DikuMUD, Copyright (C) 1990, 1991.               *
*  Archipelago changes by Alastair J. Neil Copyright (C) 1993,94,95,96,99 * 
 ************************************************************************ */

#ifndef EDIT_H
#define EDIT_H

/* mobedit.c */

void mobedit(struct descriptor_data *d, char *str);
void print_mob(struct descriptor_data *d);
int print_maff(struct descriptor_data *d);
int print_mflags(struct descriptor_data *d);
void print_mstats(struct descriptor_data *d);
void print_acsvs(struct descriptor_data *d);
void print_ac(struct descriptor_data *d);
void print_st(struct descriptor_data *d);
void print_sv(struct descriptor_data *d);
void print_mstr(struct descriptor_data *d);
void print_matt(struct descriptor_data *d);
int print_mpos(struct descriptor_data *d);
int print_mdpos(struct descriptor_data *d);
void print_msex(struct descriptor_data *d);
void print_mobstats(struct descriptor_data *d);
void    copy_mob(struct char_data *from, struct char_data *to);
void    free_mob(struct char_data *mob);
void print_races(struct descriptor_data *d);
int compute_mob_exp(struct char_data *mob);
int compute_mobproto_exp(struct char_data *mob);

/* objedit.c */

void objedit(struct descriptor_data *d, char *str);
void print_obj(struct descriptor_data *d);
int print_oflags(struct descriptor_data *d);
void print_ostr(struct descriptor_data *d);
void print_flags(struct descriptor_data *d);
int print_owear(struct descriptor_data *d);
int print_extras(struct descriptor_data *d);
void print_stats(struct descriptor_data *d);
int print_types(struct descriptor_data *d);
void print_aff(struct descriptor_data *d);
int print_affs(struct descriptor_data *d);
int print_ex(struct descriptor_data *d);
void print_exd(struct descriptor_data *d);
void print_osiz(struct descriptor_data *d);
int print_weaps(struct descriptor_data *d);
int print_cont_flags(struct descriptor_data *d);
int print_drinks(struct descriptor_data *d);
struct list_index_type *print_spells_n(struct descriptor_data *d, int ii, int type);
bool good_spell(int spl, int tf);
int print_odams(struct descriptor_data *d);
int print_oaff(struct descriptor_data *d);
void print_poisons(struct descriptor_data *d);
int calc_min_level_scpo(struct descriptor_data *d);
int is_goditem(struct obj_data *j);
void    copy_obj(struct obj_data *from, struct obj_data *to, bool cpyextras);
void    free_objstruct(struct obj_data *obj);
int assess_item(struct obj_data *j);

/* roomedit.c */

void roomedit(struct descriptor_data *d, char *str);
void print_room(struct descriptor_data *d);
int print_sectors(struct descriptor_data *d);
int print_rflags(struct descriptor_data *d);
void print_rstr(struct descriptor_data *d);
void print_exit(struct descriptor_data *d);
int print_rex(struct descriptor_data *d);
void print_rexd(struct descriptor_data *d);
int print_exbits(struct descriptor_data *d);
void print_tele(struct descriptor_data *d);
void copy_room(struct room_data *from, struct room_data *to);
void copy_stringinfo(char **to, char **from);
void replace_text (char **text, char *replace, char *with);
void free_room(struct room_data *room);
void make_exit_twoway(struct descriptor_data *d);

/* shopedit.c */

void shopedit(struct descriptor_data *d, char *str);
void print_shop(struct descriptor_data *d);
void print_keeper(struct descriptor_data *d);
void print_sroom(struct descriptor_data *d);
int  print_objt(struct descriptor_data *d);
void print_messages(struct descriptor_data *d);
void print_product(struct descriptor_data *d) ;
void print_products(struct descriptor_data *d) ;

/* zonedit.c */

void zoneedit(struct descriptor_data *d, char *str);
void print_zonedata(struct descriptor_data *d);

#endif
